PARTX(8)

NOM
partx - Annoncer au noyau Linux la présence et la numérotation des partitions d'un disque

SYNOPSIS
partx [-a|-d|-s] [-t type] [-n M:N] [-] disque

partx [-a|-d|-s] [-t type] partition [disque]

DESCRIPTION
À partir d'un périphérique ou d'une image, partx essaie d'analyser la table de partitions et d'afficher son contenu. Elle ajoute ou supprime éventuellement des partitions.

L'argument disque est optionnel si un argument partition est fourni. Pour forcer l'analyse d'une partition comme s'il s'agissait d'un disque entier (par exemple pour afficher les sous-partitions imbriquées), utilisez l'argument -. Par exemple :

    partx --show - /dev/sda3

sda3 sera vue comme un disque entier plutôt que comme une partition.

Ce n'est pas un programme fdisk — l'ajout et la suppression de partitions n'intervient pas sur le disque en soit, cela consiste seulement à informer le noyau de la présence et de la numérotation des partitions présentes.

OPTIONS

-a, --add
    Ajouter les partitions indiquées, ou lire le disque et ajouter toutes ses partitions.

-b, --bytes
    Afficher la taille (colonne SIZE) en octet plutôt qu'en format lisible.

-d, --delete
    Supprimer les partitions indiquées ou toutes les partitions.

-g, --noheadings
    Ne pas afficher de ligne d'en-tête.

-l, --list
    Afficher les partitions. Remarquez que tous les nombres sont en secteur de 512 octets. Ce format de sortie est obsolète, remplacé par --show. Ne l'utilisez pas dans les nouveaux scripts.

-o, --output liste
    Définir les colonnes à afficher pour les sorties --show et --raw. Si aucune disposition de sortie n'est indiquée, un jeu par défaut est utilisé. Utilisez --help pour obtenir une liste de toutes les colonnes gérées.

-r, --raw
    Utiliser l'affichage au format brut.

-s, --show
    Afficher les partitions. Tous les nombres (sauf SIZE) sont en secteur de 512 octets. Les colonnes à afficher peuvent être réorganisées avec l'option --output.

-t, --type type
    Indiquer le type de table de partitions — aix, bsd, dos, gpt, mac, minix, sgi, solaris_x86, sun, ultrix ou unixware.

-n, --nr M:N
    Indiquer l'intervalle de partitions. Par souci de compatibilité ascendante, le format M-N est pris en charge. L'intervalle peut contenir des nombres négatifs, par exemple --nr :-1 signifie la dernière partition et --nr -2:-1 signifie les deux dernières partitions. Les indications d'intervalle sont :

    M   Indiquer une seule partition (par exemple --nr 3).

    M:  Indiquer seulement la limite inférieure (par exemple --nr 2:).

    :N  Indiquer seulement la limite supérieure (par exemple --nr :4).

    M:N ou M-N
        Indiquer les limites inférieure et supérieure (par exemple --nr 2:4).

EXEMPLES

partx --show /dev/sdb3

partx --show --nr 3 /dev/sdb

partx --show /dev/sdb3 /dev/sdb
    Les trois commandes affichent la troisième partition de /dev/sdb.

partx --show - /dev/sdb3
    Afficher toutes les sous-partitions de /dev/sdb3 (la partition est utilisée comme un disque entier).

partx -o START -g --nr 5 /dev/sda
    Afficher le secteur de début de la cinquième partition de /dev/sda sans en-tête.

partx -o SECTORS,SIZE /dev/sda5 /dev/sda
    Afficher la longueur en secteur et en format lisible de la cinquième partition de /dev/sda.

partx --add --nr 3:5 /dev/sdd
    Ajouter toutes les partitions disponibles de la troisième à la cinquième (comprises) sur /dev/sdd.

partx -d --nr :-1 /dev/sdd
    Retirer la dernière partition de /dev/sdd.

VOIR AUSSI
addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

AUTEURS
Davidlohr Bueso <dave@gnu.org>
Karel Zak <kzak@redhat.com>

La version originale a été écrit par Andries E. Brouwer <aeb@cwi.nl>.

DISPONIBILITÉ
La commande partx fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Alexandre Kuoch <alex DOT kuoch AT gmail DOT com> et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.